libxml++ 2.35.3

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes
xmlpp::Validator Class Reference

XML parser. More...

`#include <libxml++/validators/validator.h>`

Inheritance diagram for xmlpp::Validator:
[legend]
Collaboration diagram for xmlpp::Validator:
[legend]

List of all members.

## Public Member Functions

| Validator ()
virtual | ~Validator ()

## Protected Member Functions

virtual void | initialize_valid ()
virtual void | release_underlying ()
virtual void | on_validity_error (const Glib::ustring& message)
virtual void | on_validity_warning (const Glib::ustring& message)
virtual void | handleException (const exception& e)
virtual void | check_for_exception ()
virtual void | check_for_validity_messages ()

## Static Protected Member Functions

static void | callback_validity_error (void* ctx, const char* msg,...)
static void | callback_validity_warning (void* ctx, const char* msg,...)

## Protected Attributes

_xmlValidCtxt* | valid_
exception* | exception_
Glib::ustring | validate_error_
Glib::ustring | validate_warning_

## Detailed Description

XML parser.

## Constructor & Destructor Documentation

xmlpp::Validator::Validator | ( |  | ) |

virtual xmlpp::Validator::~Validator | ( |  | ) | `[virtual]`

## Member Function Documentation

static void xmlpp::Validator::callback_validity_error | ( | void * | ctx,
|  | const char * | msg,
|  |  | ...
| ) |  | `[static, protected]`

static void xmlpp::Validator::callback_validity_warning | ( | void * | ctx,
|  | const char * | msg,
|  |  | ...
| ) |  | `[static, protected]`

virtual void xmlpp::Validator::check_for_exception | ( |  | ) | `[protected, virtual]`

virtual void xmlpp::Validator::check_for_validity_messages | ( |  | ) | `[protected, virtual]`

virtual void xmlpp::Validator::handleException | ( | const exception& | e | ) | `[protected, virtual]`

virtual void xmlpp::Validator::initialize_valid | ( |  | ) | `[protected, virtual]`

Reimplemented in xmlpp::SchemaValidator.

virtual void xmlpp::Validator::on_validity_error | ( | const Glib::ustring & | message | ) | `[protected, virtual]`

virtual void xmlpp::Validator::on_validity_warning | ( | const Glib::ustring & | message | ) | `[protected, virtual]`

virtual void xmlpp::Validator::release_underlying | ( |  | ) | `[protected, virtual]`

Reimplemented in xmlpp::SchemaValidator, and xmlpp::DtdValidator.

## Member Data Documentation

exception* xmlpp::Validator::exception_`[protected]`

_xmlValidCtxt* xmlpp::Validator::valid_`[protected]`

Glib::ustring xmlpp::Validator::validate_error_`[protected]`

Glib::ustring xmlpp::Validator::validate_warning_`[protected]`

The documentation for this class was generated from the following file:

- validators/validator.h